<?php
/**
 * Created by PhpStorm.
 * User: eric
 * Date: 7/16/16
 * Time: 3:05 PM
 */

namespace Sikofitt\Command;


use Knp\Command\Command;
use Symfony\Component\Console\Input\InputInterface;
use Symfony\Component\Console\Output\OutputInterface;
use Symfony\Component\Console\Style;
use Knp\Snappy\Pdf;


/**
 * Class CreatePdfCommand
 *
 * @package Sikofitt\Command
 */
class CreatePdfCommand extends Command
{
    /**
     *
     */
    public function configure ()
    {
       $this->setName('resume:pdf:create')
           ->setDescription('Create a pdf of your website.')
           ->setProcessTitle('PDF Creation');
    }

    /**
     * @param InputInterface  $input
     * @param OutputInterface $output
     */
    public function interact (InputInterface $input, OutputInterface $output)
    {
        $index = $this->getSilexApplication()->renderView('index.html.twig', ['renderPdf' => true]);
        $pdf = new Pdf($this->getSilexApplication()->getRootDirectory() . '/vendor/bin/wkhtmltopdf-amd64');
        $pdf->generateFromHtml($index, $this->getSilexApplication()->getRootDirectory() . '/resume.pdf', ['keep-relative-links' => false, 'resolve-relative-links' => false, 'load-error-handling' => false, 'disable-javascript' => true, 'disable-external-links' => true, 'disable-internal-links' => true]);
    }

    /**
     * @param InputInterface  $input
     * @param OutputInterface $output
     */
    public function execute (InputInterface $input, OutputInterface $output)
    {

    }

}