<?php

/*
 * This file is part of Resume.PHP.
 *
 * (copyleft) R. Eric Wheeler <sikofitt@gmail.com>
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

/**
 * Created by PhpStorm.
 * User: eric
 * Date: 7/3/16
 * Time: 5:55 PM
 */

namespace Sikofitt\Json;

use App;
use Webmozart\Json\DecodingFailedException;
use Webmozart\Json\EncodingFailedException;
use Webmozart\Json\FileNotFoundException;
use Webmozart\Json\IOException;
use Webmozart\Json\JsonDecoder;
use Webmozart\Json\JsonEncoder;
use Webmozart\Json\JsonValidator;
use Webmozart\Json\ValidationFailedException;

/**
 * Class ResumeBuilder
 * @package Sikofitt\Json
 */
class ResumeBuilder
{
    private $app;

    public function __construct(App $app)
    {
        $this->app = $app;
    }

    public function toJson($resumeArray, array $options = [])
    {
        $encoder = new JsonEncoder();
        $validator = new JsonValidator();
        if (!isset($options['file'])) {
            throw new \InvalidArgumentException('file is a required argument.');
        }

        $errors = $validator->validate((object)$resumeArray, $options['app']->getResumeSchema());
        dump($errors);
        try {
            // $encoder->encodeFile ($resumeArray, 'test.json');
        } catch (\Exception $e) {
            $r = new \ReflectionClass($e);
            $exceptionClass = $r->getName();
            return new $exceptionClass($e->getMessage());
        }
    }

    public function fromJson($resumeJson, array $options = [])
    {
        $decoder = new JsonDecoder();
        $resumeObject = $decoder->decodeFile($this->app->getResumeJson(), $this->app->getResumeSchema());
        return $resumeObject;
    }
}
